16
sudo apt-get install python-software-properties
Reading package lists... Done
Building dependency tree... Done
Package python-software-properties is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:

 software-properties-common

E: Package 'python-software-properties' has no installation candidate

How can i fix this error?

23

Install software-properties-common by running,

sudo apt-get install software-properties-common

software-properties-common package is an alternate one for python-software-properties.

for <= 12.04

sudo apt-get install python-software-properties

for >= 12.10

sudo apt-get install software-properties-common
  • 1
    This is working. but still the sudo apt-get install python-software-properties is not working. – user238511 Feb 19 '14 at 6:16
  • 1
    python-software-properties package will only be available for the versions below 12.04. – Avinash Raj Feb 19 '14 at 6:17
  • @AvinashRaj and what would replace it? – Karl Morrison Nov 4 '14 at 18:49
  • 3
    If you found this when trying to install torch, you'll need to comment the two lines involving python-software-properties in torch/install-deps after installing software-properties-common. – cag51 Aug 9 '18 at 18:30
6

I had this issue on Ubuntu 18.04

Tried several way finally this fixed my issue

sudo apt --fix-broken install python-pycurl python-apt
0

This is my 1st post and I have only used linux for a few weeks so please go easy on me =].

If ymin's method hits an error of

root@my32bitbox:~# sudo apt-get install python-software-properties git-core. Reading package lists... Done Building dependency tree
Reading state information... Done Package python-software-properties is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source However the following packages replace it:
software-properties-common

... this slightly tweaked line worked for me (note: if it makes any difference...I needed it to install 32-bit dependencies for my own wine build)

> sudo apt-get install software-properties-common git-core
0

I was getting started with the torch and faced the error.
Here is how I got it resolved.

  1. goto

    Home -> Torch -> Open install-deps

    find the keyword python-software-properties and replace it with software-python-common, save and exit.

  2. install the software-python-common with the command

    sudo apt-get install software-properties-common 
    
  3. run the command

    cd ~/torch; bash install-deps;
    

You are done!!

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.